Search documentation of wx

# View Source wxPopupWindow (wx v2.4.2)

Functions for wxPopupWindow class

A special kind of top level window used for popup menus, combobox popups and such.

Styles

This class supports the following styles:

See: `wxDialog`, `wxFrame`

This class is derived (and can use functions) from: `wxWindow` `wxEvtHandler`

wxWidgets docs: wxPopupWindow

# Summary

## Types

wxPopupWindow()

## Functions

create(This, Parent)
create/3

Create method for two-step creation.

destroy(This)

Destroys the object.

new()

Default constructor.

new(Parent)
new/2

Constructor.

position(This, PtOrigin, SizePopup)

Move the popup window to the right position, i.e. such that it is entirely visible.

# Types

Link to this type

# wxPopupWindow()

View Source

    -type wxPopupWindow() :: wx:wx_object().

# Functions

Link to this function

# create(This, Parent)

View Source

    -spec create(This, Parent) -> boolean() when This :: wxPopupWindow(), Parent :: wxWindow:wxWindow().

Link to this function

# create/3

View Source

    -spec create(This, Parent, [Option]) -> boolean()
                    when
                        This :: wxPopupWindow(), Parent :: wxWindow:wxWindow(), Option :: {flags, integer()}.

Create method for two-step creation.

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxPopupWindow()) -> ok.

Destroys the object.

Link to this function

# new()

View Source

    -spec new() -> wxPopupWindow().

Default constructor.

Link to this function

# new(Parent)

View Source

    -spec new(Parent) -> wxPopupWindow() when Parent :: wxWindow:wxWindow().

Link to this function

# new/2

View Source

    -spec new(Parent, [Option]) -> wxPopupWindow()
                 when Parent :: wxWindow:wxWindow(), Option :: {flags, integer()}.

Constructor.

Link to this function

# position(This, PtOrigin, SizePopup)

View Source

    -spec position(This, PtOrigin, SizePopup) -> ok
                      when
                          This :: wxPopupWindow(),
                          PtOrigin :: {X :: integer(), Y :: integer()},
                          SizePopup :: {W :: integer(), H :: integer()}.

Move the popup window to the right position, i.e. such that it is entirely visible.

The popup is positioned at ptOrigin + size if it opens below and to the right (default), at ptOrigin - sizePopup if it opens above and to the left etc.